import Vue from 'vue'
import App from './App'
import router from './router'
import store from './store'
import VueResource from 'vue-resource'
import VueLocalStorage from 'vue-localstorage'
import VeeValidate,{Validator} from 'vee-validate';
import cn from 'vee-validate/dist/locale/zh_CN';
Validator.addLocale(cn);

const config = {
    locale: 'zh_CN'
};

import { Popover,Dialog,Notification } from 'element-ui'
Vue.use(Popover)
Vue.use(Dialog)
Vue.prototype.$notify = Notification
// Vue.component(Popover.name, Popover)
Vue.use(VueResource)
Vue.use(VueLocalStorage)
Vue.use(VeeValidate,config);

Vue.config.productionTip = false

/* eslint-disable no-new */
new Vue({
    el: '#app',
    router,
    store,
    render: h => h(App)
})
